require( "scripts/style.lua" );

DialogHeaderFont = {
  standardFont,
  24,
  WhiteColor
};

MakeDialog
{
	name = "skipminigamewindow",
    Bitmap
    {
		image="backgrounds/win_textsmall",
		x=kCenter,
		y=kCenter,

		SetStyle(ScaledButtonStyle);
	        Button
	        {
		    font = StandardButtonFont,
		    graphics = StandardButtonGraphics,
	            label = "ok",
	            name = "ok",	
	            x = kCenter,
	            y = kMax-90,
		command = function()
			SkipMinigame();	 
			PopModal("skipminigamewindow");
		end;
	        },

		SetStyle(CloseButtonStyle);
		Button
		{
			x=kCenter+153,y=13,
			name="closebutton",
			cancel=true,
			command = function() 
				Unclick();
				PopModal("skipminigamewindow");
			end;
		};

        Text
		{
			font = DialogHeaderFont,
			name = "skipminigameheader",
			x=0,y=9,w=kMax,h=30,
			flags = kHAlignCenter + kVAlignTop,
			label= "skipminigameheader",
		};

		Text
		{
			font = DialogBodyFont,
			name = "skipminigamebody",
			x=12,y=46,
			w=kMax-12,h=kMax-70,
			flags = kVAlignCenter + kHAlignCenter,
			label= "skipminigamebody",
		};
    },

} -- MakeDialog
